Page 2 of 2 FirstFirst 12
Results 11 to 18 of 18

Thread: Ubuntu 9.10 and ATI X1250 installation Error. Help!

  1. #11
    Join Date
    Feb 2009
    Beans
    215
    Distro
    Kubuntu 9.04 Jaunty Jackalope

    Re: Ubuntu 9.10 and ATI X1250 installation Error. Help!

    I'm running the legacy proprietary drivers in jaunty. I think it will be more tricky in karmic since the drivers only support kernels up to 2.6.28. Yeah, one could downgrade xserver to version 1.5.2 (intrepid), but I would be hesitant to the prospect of downgrading the kernel to 2.6.28 from 2.6.31, quite a big drop.

  2. #12
    Join Date
    May 2008
    Location
    Wigan, UK
    Beans
    62
    Distro
    Xubuntu 11.10 Oneiric Ocelot

    Re: Ubuntu 9.10 and ATI X1250 installation Error. Help!

    ssri how did you do this? is the 3d support any good? I have no problem with Ubuntu 9.04 it might be worth downgrading

  3. #13
    Join Date
    Feb 2009
    Beans
    215
    Distro
    Kubuntu 9.04 Jaunty Jackalope

    Re: Ubuntu 9.10 and ATI X1250 installation Error. Help!

    Quote Originally Posted by gdbutcher View Post
    ssri how did you do this? is the 3d support any good? I have no problem with Ubuntu 9.04 it might be worth downgrading
    http://tan-com.com/posts/technology/...i-driver-issue

    This guide worked wonderfully for me. However, it can hose your xserver. What I mean is that you will be greeted by a terminal login if the install process is not smooth. To be honest, I installed the legacy drivers in Jaunty on the first shot. As for 3D, well it is the best you can get for ATI legacy cards. However, admittedly, 2D is faster and smoother with the opensource drivers.

  4. #14
    Join Date
    Feb 2009
    Beans
    215
    Distro
    Kubuntu 9.04 Jaunty Jackalope

    Re: Ubuntu 9.10 and ATI X1250 installation Error. Help!

    Also, you will need to patch the legacy drivers only if you downloaded and are using 2.6.29 from ubuntu's mainline kernel ppa. Jaunty shipped with 2.6.28.

  5. #15
    Join Date
    May 2008
    Location
    Wigan, UK
    Beans
    62
    Distro
    Xubuntu 11.10 Oneiric Ocelot

    Re: Ubuntu 9.10 and ATI X1250 installation Error. Help!

    Thanks for this suggestion Ssri, it worked for me. I was more than happy the results, google earth and quantz both run very smoothly now. I'd only wish ATI/AMD would do an update so that it would work in Ubuntu 9.10! but i know they are no longer supporting this "old" card for linux....
    Last edited by gdbutcher; November 21st, 2009 at 01:17 AM. Reason: typos

  6. #16
    Join Date
    Feb 2006
    Beans
    104
    Distro
    Ubuntu 10.10 Maverick Meerkat

    Re: Ubuntu 9.10 and ATI X1250 installation Error. Help!

    A bit unsatisfying.

    I have a MSI K9AG Neo 2 Digital with AMD 690g chipset. This comes with the Radeon x1250.

    Until 8.10 I could use the ATI driver, and I was stunned by the performance. I could play Nexuiz and Urban Terror and Stuff on low details and 1024x768.

    Since 9.04 and now in 9.10 Ubuntu has the new x-server and kernel, and AMD doesnt seem to have any intention to maintain these. Even though that motherboard is not that old. And the radeonhd/opensource driver are not up to the task yet (OpenGL games hanging after ~1 min).

    I am using my 16x PCIe for something else, so I would have to buy a 1x PCIe graphics card. But they are unreasonably expensive and I don't want the extra idle power consumption.

    A bit a pity. Guess I will wait until the post 790 chipsets come out and upgrade all together late next year. Maybe I can use my time for something more useful than gaming

    But please post if anyone gets good 3D performance with the x1250 and Karmic (9.10).

  7. #17
    Join Date
    Feb 2010
    Beans
    8

    Unhappy Re: Ubuntu 9.10 and ATI X1250 installation Error. Help!

    i am having the same problem that frenchfriedfaery have . i have even tried the ati amd site drivers .run file and run all the deb files created but it not hapning and am not able to use the 3d effects or any desktop effects
    can anyone tell me where i can find the besic graphics drivers
    and how to install them

  8. #18
    Join Date
    Feb 2010
    Beans
    8

    Wink Re: Ubuntu 9.10 and ATI X1250 installation Error. Help!

    go to this page and do as directed
    https://help.ubuntu.com/community/RadeonDriver
    i know it will work as expected
    couse it worked for me
    do and have fun
    india is great

Page 2 of 2 FirstFirst 12

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •